Name:           soapy-hackrf
Version:        0.3.3
Release:        2%{?dist}
Summary:        SoapySDR module for HackRF hardware

License:        MIT
URL:            https://github.com/pothosware/SoapyHackRF
Source0:        https://github.com/pothosware/SoapyHackRF/archive/soapy-hackrf-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: SoapySDR-devel
BuildRequires: hackrf-devel

%description
SoapyHackRF is a SoapySDR plug-in for HackRF hardware.

%prep
%autosetup -n SoapyHackRF-soapy-hackrf-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install
%ldconfig_scriptlets

%files
%license LICENSE
%{_libdir}/SoapySDR/modules*/libHackRFSupport.so

%changelog
* Tue Aug 17 2021 Doug1 <doug1@fedoraproject.org> - 0.3.3-2
- Change modules directory version to wildcard

* Sat Aug 14 2021 Doug1 <doug1@fedoraproject.org> - 0.3.3-1
- Initial Fedora packaging

